AWS
probe RDS

# cluster_membership_count

Count the number of cluster memberships

Run it now
View details

Type | probe
Module | chaosaws.rds.probes
Name | cluster_membership_count
Return | integer

Usage

JSON

    {
      "name": "cluster-membership-count",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.probes",
        "func": "cluster_membership_count",
        "arguments": {
          "cluster_id": ""
        }
      }
    }

YAML

    name: cluster-membership-count
    provider:
      arguments:
        cluster_id: ""
      func: cluster_membership_count
      module: chaosaws.rds.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string | null | No | DB Cluster ID | Database cluster identifier

Signature

    def cluster_membership_count(cluster_id: str,
                                 configuration: Dict[str, Dict[str, str]] = None,
                                 secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  action RDS

  ## `delete_db_cluster_endpoint`

  Deletes the custom endpoint of an Aurora cluster
- AWS
  probe RDS

  ## `cluster_status`

  Returns the cluster status
- AWS
  action RDS

  ## `delete_db_cluster_endpoint`

  Deletes the custom endpoint of an Aurora cluster